Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 475630 - Search Server get java i.o. Buffer reader, null pointer, and crashes after start up.
Summary: Search Server get java i.o. Buffer reader, null pointer, and crashes after st...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: John Matthews
QA Contact: wes hayutin
URL: na
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-09 21:04 UTC by wes hayutin
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:13 UTC


Attachments (Terms of Use)

Description wes hayutin 2008-12-09 21:04:50 UTC
Description of problem:

spacewalk dev build
dhcp231-158.rdu
and
dhcp231-223.rdu

STATUS | wrapper  | 2008/12/09 20:57:21 | --> Wrapper Started as Daemon
STATUS | wrapper  | 2008/12/09 20:57:21 | Launching a JVM...
INFO   | jvm 1    | 2008/12/09 20:57:21 | Wrapper (Version 3.2.1) http://wrapper.tanukisoftware.org
INFO   | jvm 1    | 2008/12/09 20:57:21 | 
INFO   | jvm 1    | 2008/12/09 20:57:22 | Exception in thread "Thread-0" java.lang.NullPointerException
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at java.io.Reader.<init>(Reader.java:78)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at java.io.BufferedReader.<init>(BufferedReader.java:93)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at java.io.BufferedReader.<init>(BufferedReader.java:108)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.apache.nutch.analysis.CommonGrams.init(CommonGrams.java:155)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.apache.nutch.analysis.CommonGrams.<init>(CommonGrams.java:54)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.apache.nutch.analysis.NutchDocumentAnalyzer$ContentAnalyzer.<init>(NutchDocumentAnalyzer.java:63)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.apache.nutch.analysis.NutchDocumentAnalyzer.<init>(NutchDocumentAnalyzer.java:54)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.apache.nutch.analysis.AnalyzerFactory.<init>(AnalyzerFactory.java:50)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at com.redhat.satellite.search.index.IndexManager.initDocSummary(IndexManager.java:661)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at com.redhat.satellite.search.index.IndexManager.<init>(IndexManager.java:102)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.InstantiatingComponentAdapter.newInstance(InstantiatingComponentAdapter.java:193)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ConstructorInjectionComponentAdapter$1.run(ConstructorInjectionComponentAdapter.java:220)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ThreadLocalCyclicDependencyGuard.observe(ThreadLocalCyclicDependencyGuard.java:53)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ConstructorInjectionComponentAdapter.getComponentInstance(ConstructorInjectionComponentAdapter.
java:248)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.DecoratingComponentAdapter.getComponentInstance(DecoratingComponentAdapter.java:60)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.CachingComponentAdapter.getComponentInstance(CachingComponentAdapter.java:58)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.DefaultPicoContainer.getInstance(DefaultPicoContainer.java:393)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.DefaultPicoContainer.getComponentInstance(DefaultPicoContainer.java:374)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.BasicComponentParameter.resolveInstance(BasicComponentParameter.java:77)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ComponentParameter.resolveInstance(ComponentParameter.java:114)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ConstructorInjectionComponentAdapter.getConstructorArguments(ConstructorInjectionComponentAdapt
er.java:257)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ConstructorInjectionComponentAdapter$1.run(ConstructorInjectionComponentAdapter.java:217)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ThreadLocalCyclicDependencyGuard.observe(ThreadLocalCyclicDependencyGuard.java:53)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.ConstructorInjectionComponentAdapter.getComponentInstance(ConstructorInjectionComponentAdapter.
java:248)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.DecoratingComponentAdapter.getComponentInstance(DecoratingComponentAdapter.java:60)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.CachingComponentAdapter.getComponentInstance(CachingComponentAdapter.java:58)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.DefaultPicoContainer$OrderedComponentAdapterLifecycleManager.start(DefaultPicoContainer.java:64
4)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at org.picocontainer.defaults.DefaultPicoContainer.start(DefaultPicoContainer.java:456)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at com.redhat.satellite.search.ContainerRunner.run(ContainerRunner.java:42)
INFO   | jvm 1    | 2008/12/09 20:57:22 |       at java.lang.Thread.run(Thread.java:636)
INFO   | jvm 1    | 2008/12/09 20:57:23 | 2008-12-09 20:57:23,329 [Wrapper-Shutdown-Hook] INFO  com.redhat.satellite.search.Main - Stopping Main
STATUS | wrapper  | 2008/12/09 20:57:24 | <-- Wrapper Stopped
~
~
~
~

Comment 1 John Matthews 2008-12-09 21:22:22 UTC
This is caused when the "nutch plugins" directory is not found.

For spacewalk 0.4 we will be packaging nutch up into a RPM which will include this directory.  For now we can manually copy the nutch plugins directory to /usr/share/rhn/search/nutch/plugins to go past this error.

Note:  
/usr/share/rhn/search/nutch/conf is also required

Comment 2 John Matthews 2009-01-12 19:25:00 UTC
Nutch is now part of space04, in addition search-server will not crash if it can't find nutch, instead it will run in a degraded mode which doesn't support displaying text snippets from doc-search.


This commit addressed most of the work needed.
http://git.fedoraproject.org/git/?p=spacewalk.git;a=commitdiff;h=279a11b34f3a7fbbfd2a887dd21857496a4d9fc4

Comment 3 Jesus M. Rodriguez 2009-01-15 04:20:40 UTC
No errors found.


Note You need to log in before you can comment on or make changes to this bug.